Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions
Lucene::ReaderUtil Class Reference

Common util methods for dealing with IndexReaders. More...

`#include <ReaderUtil.h>`

Inheritance diagram for Lucene::ReaderUtil:

## Public Member Functions

virtual | ~ReaderUtil ()
virtual String | getClassName ()
boost::shared_ptr< ReaderUtil > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
static void | gatherSubReaders (Collection< IndexReaderPtr > allSubReaders, const IndexReaderPtr &reader)
| Gathers sub-readers from reader into a List. More...
static IndexReaderPtr | subReader (int32_t doc, const IndexReaderPtr &reader)
| Returns sub IndexReader that contains the given document id. More...
static IndexReaderPtr | subReader (const IndexReaderPtr &reader, int32_t subIndex)
| Returns sub-reader subIndex from reader. More...
static int32_t | subIndex (int32_t n, Collection< int32_t > docStarts)
| Returns index of the searcher/reader for document n in the array used to construct this searcher/reader. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Common util methods for dealing with IndexReaders.

## Constructor & Destructor Documentation

## ◆ ~ReaderUtil()

virtual Lucene::ReaderUtil::~ReaderUtil | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::ReaderUtil::_getClassName | ( |  | ) |

inline static

## ◆ gatherSubReaders()

static void Lucene::ReaderUtil::gatherSubReaders | ( | Collection< IndexReaderPtr > | allSubReaders,
|  | const IndexReaderPtr & | reader
| ) |  |

static

Gathers sub-readers from reader into a List.

## ◆ getClassName()

virtual String Lucene::ReaderUtil::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< ReaderUtil > Lucene::ReaderUtil::shared_from_this | ( |  | ) |

inline

## ◆ subIndex()

static int32_t Lucene::ReaderUtil::subIndex | ( | int32_t | n,
|  | Collection< int32_t > | docStarts
| ) |  |

static

Returns index of the searcher/reader for document n in the array used to construct this searcher/reader.

## ◆ subReader() [1/2]

static IndexReaderPtr Lucene::ReaderUtil::subReader | ( | const IndexReaderPtr & | reader,
|  | int32_t | subIndex
| ) |  |

static

Returns sub-reader subIndex from reader.

Parameters

  reader | Parent reader
  subIndex | Index of desired sub reader

Returns
  The subreader at subIndex

## ◆ subReader() [2/2]

static IndexReaderPtr Lucene::ReaderUtil::subReader | ( | int32_t | doc,
|  | const IndexReaderPtr & | reader
| ) |  |

static

Returns sub IndexReader that contains the given document id.

Parameters

  doc | Id of document
  reader | Parent reader

Returns
  Sub reader of parent which contains the specified doc id

The documentation for this class was generated from the following file:

- ReaderUtil.h

clucene.sourceforge.net